Bug 86130

Summary: [Qt] fast/block/positioning/offsetLeft-offsetTop-multicolumn.html fails on 32 bit
Product: WebKit Reporter: Julien Chaffraix <jchaffraix>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED INVALID    
Severity: Normal CC: allan.jensen, bruno.abinader, ossy, shezbaig.wk
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 87008    

Description Julien Chaffraix 2012-05-10 12:51:30 PDT
Looking at http://build.webkit.org/results/Qt%20Linux%20Release/r116666%20%2846863%29/results.html, it's really not obvious to me why it is failing only on Qt. I inspected the difference but couldn't spot it...

AFAICT the other platforms are passing the test so I am going to skip it on Qt for now.
Comment 1 Allan Sandfeld Jensen 2012-05-14 03:56:00 PDT
It runs as expected here, maybe it has been fixed?
Comment 2 Csaba Osztrogonác 2012-05-14 04:08:32 PDT
(In reply to comment #1)
> It runs as expected here, maybe it has been fixed?

It seems yes, so I unskipped it - https://trac.webkit.org/changeset/116932
Comment 3 Csaba Osztrogonác 2012-05-14 06:11:40 PDT
Reopen, because it is still valid bug, but for only 32 bit.
(I reverted the unskip patch.)
Comment 4 Csaba Osztrogonác 2012-05-14 06:12:21 PDT
It seems it is related to https://bugs.webkit.org/show_bug.cgi?id=85596 / https://bugs.webkit.org/show_bug.cgi?id=86026
Comment 5 Bruno Abinader (history only) 2012-06-14 14:52:18 PDT
I do have a Qt5 Linux 32 bits environment here, and the test passes regularly (as up to r120320). Might be a good idea to check again on build bot.

(In reply to comment #3)
> Reopen, because it is still valid bug, but for only 32 bit.
> (I reverted the unskip patch.)
Comment 6 Csaba Osztrogonác 2012-06-19 01:56:15 PDT
It still fails on the bot env. (Qt 4.8 / Qt 5.0 in 32 bit )
Comment 7 Bruno Abinader (history only) 2012-06-20 11:33:59 PDT
Sounds interesting, can you please generate the diff (or is there an easy way to generate it)?

(In reply to comment #6)
> It still fails on the bot env. (Qt 4.8 / Qt 5.0 in 32 bit )
Comment 8 Jocelyn Turcotte 2014-02-03 03:20:49 PST
=== Bulk closing of Qt bugs ===

If you believe that this bug report is still relevant for a non-Qt port of webkit.org, please re-open it and remove [Qt] from the summary.

If you believe that this is still an important QtWebKit bug, please fill a new report at https://bugreports.qt-project.org and add a link to this issue. See http://qt-project.org/wiki/ReportingBugsInQt for additional guidelines.